Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1092385 - rhnAction table not cleaned up while deleting server profile
Summary: rhnAction table not cleaned up while deleting server profile
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 560
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2014-04-29 08:18 UTC by Tim Speetjens
Modified: 2018-12-06 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-21 14:26:46 UTC


Attachments (Terms of Use)

Description Tim Speetjens 2014-04-29 08:18:57 UTC
Description of problem:
When deleting a server profile using the either the WebUI or the API (which both use the delete_server stored procedure), related records in rhnAction table do not get deleted.

Version-Release number of selected component (if applicable):
spacewalk-schema 2.0.2-13

How reproducible:
Delete a system (with some actions recorded)

Steps to Reproduce
1. Register a system
2. Schedule some actions on this system only
3. Remove the system with either WebUI or API

Actual results:
Remaining items can be seen in rhnaction table, with no rhnServerAction records referencing it

Expected results:
Table should not contain any rows when no rhnServerAction records remain, to maintain 1:n relationship

Additional info:
Items in rhnactions/rhnserveractions tables:
List can be constructed with
select sa.action_id from rhnaction a INNER JOIN rhnserveraction sa ON a.id = sa.action_id
where sa.server_id = <systemid>;
After system profile is deleted, existence of rhnserveraction/rhnaction items can be checked with:
select sa.action_id from rhnaction a INNER JOIN rhnserveraction sa ON a.id = sa.action_id
where sa.server_id = <systemid>;
(empty set, records in rhnserveraction table are deleted as expected)

select * from rhnaction where id = <any of list from 1>
(records still exist, but are expected to be deleted as well)

Comment 2 Tomas Lestach 2016-07-21 14:26:46 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This is a low priority bug and has no currently open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. Further, this bug does not apply for Satellite 6. As such, this is being CLOSED DEFERRED. 

Closing now to help set customer expectations as early as possible. You are welcome to re-open this bug if needed. 

Xixi, Tomas

Comment 3 Tomas Lestach 2016-07-21 14:58:02 UTC
*** Bug 1116320 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.